#include <iostream>
#include "ChangeEvent.h"
using namespace std;

ChangeEvent::ChangeEvent (UpdateListener * l, bool val, float t)  {
  listener = l;  
  value = val;
  time = t;
}
void ChangeEvent::performUpdate () {
    listener->updateOutputValue(value);
// cout << s.getTime() <<"\t"<<listeneretSimpleName()<<"\t"<<value<<endl;
}

void ChangeEvent::propagateUpdate () {
    listener->propagateOutputValue();
}

float ChangeEvent::getTime() const {
    return time;
}
