#ifndef CHANGE_EVENT
#define CHANGE_EVENT
#include "UpdateListener.h"
#include "Simulator.h"
class Simulator;

class ChangeEvent{
  private:
    UpdateListener* listener;
    float time;
    bool value;
  
  public:
    ChangeEvent (UpdateListener* l, bool val, float t);
    void performUpdate ();
    void propagateUpdate ();
    float getTime() const;
    friend class CompareEvent;
};
#endif